Saltar al contenido
Guías
CatálogoGuías de tallas
catalog:read

Obtener guía de tallas

Devuelve una guía de tallas con su tabla de medidas.

GET/v1/catalog/size-guides/{sizeGuideId}

Devuelve una guía de tallas con su tabla de medidas.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

sizeGuideId*string

Identificador de la guía de tallas.

Parámetros de cabecera

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/size-guides/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "sellerId": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "description": "Example description.",  "imageUrl": "https://example.com/resource",  "gender": "unisex",  "measurementType": "body",  "unit": "cm",  "status": "draft",  "priority": 1,  "notes": "Example note.",  "rows": [    {      "label": "example",      "sizeKey": "example",      "order": 1,      "measurements": [        {          "key": "example",          "name": "Example resource",          "min": 1,          "max": 1,          "value": 1,          "description": "Example description."        }      ]    }  ],  "assignments": [    {      "id": "7204558912004325301",      "sizeGuideId": "7204558912004325301",      "targetType": "product",      "targetId": "7204558912004325301",      "targetName": "Example resource",      "includeChildrenCategories": false,      "priority": 1,      "createdOn": "2026-08-01T15:30:00Z"    }  ],  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}